<?php
/*************************************************************************************
 * eventscripts.php
 * ---------------------------------
 * Author: Mattie Casper (mattie@mattie.net)
 * Copyright: (c) 2004 Mattie Casper (<http://mattie.info/cs)
 * Release Version: 1.0.0
 * CVS Revision Version: $Revision: 1.16.2.2 $
 * Date Started: <date started>
 * Last Modified: $Date: 2006/07/22 11:30:37 $
 *
 * EventScripts language file for GeSHi.
 *
 * <any-comments...>
 *
 * CHANGES
 * -------
 * 2007-07-28 (1.0.1)
 *  -  Added more ES_Tools, SourceUtils, srcX commands
 *
 * 2006-08-02 (1.0.0)
 *  -  First Release
 *
 * TODO (updated 2006-08-02)
 * -------------------------
 * Stuff
 *
 *************************************************************************************
 *
 *     This file is part of GeSHi.
 *
 *   GeSHi is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   GeSHi is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with GeSHi; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 ************************************************************************************/

$language_data = array (
	'LANG_NAME' => 'EventScripts',
	'COMMENT_SINGLE' => array(1 => '//'),
	'COMMENT_MULTI' => array(),
	'CASE_KEYWORDS' => GESHI_CAPS_NO_CHANGE,
	'QUOTEMARKS' => array('"'),
	'ESCAPE_CHAR' => array(),
	'KEYWORDS' => array(
	
		// SECTION 1
		//   Reserved words that do not have links. Not usually commands.
		1 => array(
			'!self',
			'!picker',
			'block',
			'equalto',
			'event',
			'event_var',
			'greaterthan',
			'lessthan',
			'notequalto',
			'notequalto',
			'notgreaterthan',
			'notlessthan',
			'server_var',
			'dispatcheffect',
			'greenblock',
			'entity',
			'notin',
			'load',
			'unload',
			'power', 
			'root', 
			'abs', 
			'int', 
			'float', 
			'value',
			'add', 
			'subtract', 
			'multiply', 
			'divide', 
			'open',
			'close',
			'query',
			'parse',
			'true',
			'false',
			'multi',
			'lightgreen',
			'green',
			'default',
			'beam',
			'dust',
			'smoke',
			'energysplash',
			'atan',
			'tan',
			'cos',
			'sin',
			'acos',
			'asin',
   		),
   			
		// SECTION 3
		// These are keywords that (should) have documentation links.
		3 => array(
			'es_regsaycmd',
			'es_xregsaycmd',
			'es_xregclientcmd',
			'es_regclientcmd',
			'es_getcmduserid',
			'es_xgetcmduserid',
			'es_getplayerhandle',
			'es_xgetplayerhandle',
			'es_keygroupfilter',
			'es_xkeygroupfilter',
			'getrandomplayer',
			'es_trick',
			'es_xtrick',
			'es_usermsg',
			'es_xusermsg',
			'es_dbgmsg',
			'es_xdbgmsg',
			'es_forcevalue',
			'es_xforcevalue',
			'es_changeteam',
			'es_xchangeteam',
			'es_createbot',
			'es_xcreatebot',
			'es_fadevolume',
			'es_xfadevolume',
			'es_lightstyle',
			'es_xlightstyle',
			'es_botsetvalue',
			'es_xbotsetvalue',
			'es_stringtable',
			'es_xstringtable',
			'downloadable',
			'getplayerinfo',
			'es_stopsound',
			'es_xstopsound',
			'es_getgame',
			'es_xgetgame',
			'es_dumpusermessages',
			'es_xdumpusermessages',
			'then',
			'do',
			'es',
			'popup',
			'foreach',
			'stack',
			'cheatexec',
			'es_emitsound',
			'disable',
			'else',
			'enable',
			'es_centermsg',
			'es_cexec',
			'es_formatqv',
			'es_cexec_all',
			'es_copy',
			'es_createentitylist',
			'es_createplayerlist',
			'es_createvectorfrompoints',
			'es_createvectorstring',
			'es_delayed',
			'es_disable',
			'es_doblock',
			'es_dumpentities',
			'es_dumpserverclasses',
			'es_enable',
			'es_entsetname',
			'es_fire',
			'es_foreachkey',
			'es_foreachval',
			'es_format',
			'es_getclientvar',
			'es_getentityindex',
			'es_getindexprop',
			'es_getlivingplayercount',
			'es_getmoney',
			'es_getplayercount',
			'es_getplayerlocation',
			'es_getplayermovement',
			'es_getplayername',
			'es_getplayerprop',
			'es_getplayersteamid',
			'es_getplayerteam',
			'es_gettime',
			'es_gettimestring',
			'es_getuserid',
			'es_give',
			'es_isbot',
			'es_keycreate',
			'es_keydelete',
			'es_keygetvalue',
			'es_keygroupcreate',
			'es_keygroupdelete',
			'es_keygrouplist',
			'es_keygroupload',
			'es_keygrouprename',
			'es_keygroupsave',
			'es_keylist',
			'es_keyrename',
			'es_keysetvalue',
			'es_load',
			'es_loadevents',
			'es_log',
			'es_logq',
			'es_makepublic',
			'es_map_start',
			'es_math',
			'es_mexec',
			'es_msg',
			'es_precachemodel',
			'es_rand',
			'es_remove',
			'es_scriptpack_register',
			'es_scriptpack_unregister',
			'es_scriptpacklist',
			'es_setang',
			'es_setindexprop',
			'es_setinfo',
			'es_setplayerprop',
			'es_setpos',
			'es_soon',
			'es_splitvectorstring',
			'es_string',
			'es_strlen',
			'es_tell',
			'es_token',
			'es_toptext',
			'es_unload',
			'es_xcentermsg',
			'es_xcexec',
			'es_xcexec_all',
			'es_xcopy',
			'es_xcreateentitylist',
			'es_xcreateplayerlist',
			'es_xcreatevectorfrompoints',
			'es_xcreatevectorstring',
			'es_xdelayed',
			'es_xdisable',
			'es_xdoblock',
			'es_xdumpentities',
			'es_xdumpserverclasses',
			'es_xelse',
			'es_xenable',
			'es_xentsetname',
			'es_xexists',
			'es_xfire',
			'es_xforeachkey',
			'es_xforeachval',
			'es_xformat',
			'es_xgetclientvar',
			'es_xgetentityindex',
			'es_xgetindexprop',
			'es_xgetlivingplayercount',
			'es_xgetmoney',
			'es_xgetplayercount',
			'es_xgetplayerlocation',
			'es_xgetplayermovement',
			'es_xgetplayername',
			'es_xgetplayerprop',
			'es_xgetplayersteamid',
			'es_xgetplayerteam',
			'es_xgettime',
			'es_xgettimestring',
			'es_xgetuserid',
			'es_xgive',
			'es_xif',
			'es_xisbot',
			'es_xkeycreate',
			'es_xkeydelete',
			'es_xkeygetvalue',
			'es_xkeygroupcreate',
			'es_xkeygroupdelete',
			'es_xkeygrouplist',
			'es_xkeygroupload',
			'es_xkeygrouprename',
			'es_xkeygroupsave',
			'es_xkeylist',
			'es_xkeyrename',
			'es_xkeysetvalue',
			'es_xload',
			'es_xloadevents',
			'es_xlog',
			'es_xlogq',
			'es_xmakepublic',
			'es_xmath',
			'es_xmexec',
			'es_xmsg',
			'es_xnq',
			'es_xprecachemodel',
			'es_xrand',
			'es_xremove',
			'es_xscriptpacklist',
			'es_xsetang',
			'es_xsetindexprop',
			'es_xsetinfo',
			'es_xsetplayerprop',
			'es_xsetpos',
			'es_xsoon',
			'es_xsplitvectorstring',
			'es_xstring',
			'es_xstrlen',
			'es_xtell',
			'es_xtoken',
			'es_xtoptext',
			'es_xunloadblock',
			'esnq',
			'eventscripts_register',
			'eventscripts_unregister',
			'if',
			'ifx',
			'unload',
			'profile',
			'vote',
			'repeat',
			'es_menu',
			'es_exists',
			'es_createscriptlist',
			'es_dumpstringtables',
			'es_flags',
			'es_mathparse',
			'es_regex',
			'es_setview',
			'es_sexec',
			'es_sexec_all',
			'es_xcreatescriptlist',
			'es_xemitsound',
			'es_reload',
			'es_xmathparse',
			'es_xmenu',
			'es_xregcmd',
			'es_xregx',
			'es_xreload',
			'es_xunload',
			'es_xsetview',
			'es_xsexec',
			'es_xsexec_all',
			'average',
			'forcecase',
			'getrandplayer',
			'isnull',
			'keygroupremove',
			'keymath',
			'playerget',
			'playerset',
			'refcount',
			'es_xflags',
			'es_xgetargc',
			'es_xgetargs',
			'es_xgetargv',
			'es_xregex',
			'profilecmd',
			'es_commandv',
			'es_dumpstringtable',
			'es_dosql',
			'es_effect',
			'es_event',
			'es_set',
			'es_playsound',
			'es_sql',
			'es_formatv',
			'es_keygroupcopy',
			'es_precachesound',
			'es_regcmd',
			'es_getargc',
			'es_getargv',
			'es_getargs',
			'es_centertell',
			'es_dbgmsgv',
			'es_entcreate',
			'es_gettimestamp',
			'es_logv',
			'es_prop_dynamic_create',
			'es_prop_physics_create',
			'es_queryclientvar',
			'es_physics',
			'schedule',
			'es_strcmp',
			'es_unregclientcmd',
			'es_unregsaycmd',
			'es_escinputbox',
			'es_escmenu',
			'es_esctextbox',
			'es_xescinputbox',
			'es_xescmenu',
			'es_xesctextbox',
			'es_x_disable',
			'es_x_findoffset',
			'es_x_foreachkey',
			'es_x_foreachval',
			'es_x_unload',
			'es_xcommandv',
			'es_xphysics',
			'es_xeffect',
			'es_xplaysound',
			'es_xqueryclientvar',
			'es_xset',
			'es_xsql',
			'es_xstrcmp', 
			'es_xcentertell',
			'es_xdbgmsgv',
			'es_xdosql',
			'es_xdumpstringtable',
			'es_xentcreate',
			'es_xevent',
			'es_xformatv',
			'es_xformatqv',
			'es_xgettimestamp',
			'es_xkeygroupcopy',
			'es_xlogv',
			'es_xprecachesound',
			'es_xprop_dynamic_create',
			'es_xprop_physics_create',
			'es_xunregclientcmd',
			'es_xunregsaycmd',
			'score',
			'playervar',
			'linkedlist',
			'getbotname',
			'damage',
			'gettime',
			'keyfilter',
			'keygroupsort', 
			'nearcoord',
			'statlog',
			'texthandler',
			'uniqueid',
			'xalias',
			'while',
			'clientcmd',
			'escinject',
			'exp',
			'getplayercount',
			'inrange',
			'interface',
			'isnumerical',
			'queue',
			'quickclientcmd',
			'quickcmd',
			'quicksaycmd',
			'services',
			'setentname',
			'sqlx',
			'testcase',
			'testlib',
			'testprint',
			'testsuite',
			'testtest',
			'textlib',
			'tokenfrq',
			'usermsg',
			'uxp',
			'uxp_reg',
			'vecmath',
			'setting',
		),
		
		// SECTION 4
		//  Event Variables or events. Theoretically these have doc, too, but
		//  a different color.
		4 => array(
			'attacker',
			'es_attackerindex',
			'es_attackersteamid',
			'es_attackerteam',
			'es_attackerweapon',
			'es_attackername',
			'es_steamid',
			'es_userindex',
			'es_userweapon',
			'userid',
			'weapon',
			'player_activate',
			'player_blind',
			'player_changename',
			'player_chat',
			'player_class',
			'player_connect',
			'player_death',
			'player_disconnect',
			'player_falldamage',
			'player_footstep',
			'player_hurt',
			'player_info',
			'player_jump',
			'player_radio',
			'player_say',
			'player_score',
			'player_shoot',
			'player_spawn',
			'player_team',
			'player_use',
			'round_end',
			'round_freeze_end',
			'round_start',
			'server_addban',
			'server_cvar',
			'server_message',
			'server_removeban',
			'server_shutdown',
			'server_spawn',
			'smokegrenade_detonate',
			'team_info',
			'team_score',
			'vip_escaped',
			'vip_killed',
			'weapon_fire',
			'weapon_fire_on_empty',
			'weapon_reload',
			'weapon_zoom',
			'bomb_abortdefuse',
			'bomb_abortplant',
			'bomb_beep',
			'bomb_begindefuse',
			'bomb_beginplant',
			'bomb_defused',
			'bomb_dropped',
			'bomb_exploded',
			'bomb_pickup',
			'bomb_planted',
			'break_breakable',
			'break_prop',
			'bullet_impact',
			'door_moving',
			'es_attackerarmor',
			'es_attackerdead',
			'es_attackerdeaths',
			'es_attackerhealth',
			'es_attackerkills',
			'es_client_command',
			'es_player_chat',
			'es_player_setting',
			'es_player_validated',
			'es_userarmor',
			'es_userdead',
			'es_userdeaths',
			'es_userhealth',
			'es_userkills',
			'es_username',
			'es_userteam',
			'flashbang_detonate',
			'game_end',
			'game_message',
			'game_newmap',
			'game_start',
			'grenade_bounce',
			'hegrenade_detonate',
			'hostage_call_for_help',
			'hostage_follows',
			'hostage_hurt',
			'hostage_killed',
			'hostage_rescued',
			'hostage_rescued_all',
			'hostage_stops_following',
			'item_pickup',
			'es_player_variable',
		),
		
		// SECTION 5
		//  EventScripts variables -- docs but different color
		5 => array(
			'eventscripts_maphandler',
			'eventscripts_nextmapoverride',
			'AUTHSERVICE_ADMIN',
			'AUTHSERVICE_FAIL',
			'AUTHSERVICE_IDENTIFIED',
			'AUTHSERVICE_POWERUSER',
			'AUTHSERVICE_ROOT',
			'AUTHSERVICE_UNRESTRICTED',
			'eventscripts_version',
			'mattie_eventscripts',
			'eventscripts_deadflag',
			'eventscripts_scripttrace',
			'eventscripts_autocreate',
			'eventscripts_cflags',
			'eventscripts_quote',
			'eventscripts_cmdline',
			'eventscripts_cmdprefixes',
			'eventscripts_currentmap',
			'eventscripts_datadirectory',
			'eventscripts_debug',
			'eventscripts_lastgive',
			'eventscripts_chatevent',
			'eventscripts_debuglog',
			'eventscripts_eiface',
			'eventscripts_escapechars',
			'eventscripts_lasterror',
			'eventscripts_lasterrornum',
			'eventscripts_log',
			'eventscripts_noisy',
			'eventscripts_protectrcon',
			'eventscripts_subdirectory',
			'eventscripts_timeformat',
			'eventscripts_botexec',
			'eventscripts_ver'
		),
		
		// SECTION 6
		//   ES_Tools commands that might have documentation links.
		6 => array(
			'est_AddDownload',
			'est_AddFakeClient',
			'est_allowadvanceddrop',
			'est_AntiBufferOverun',
			'est_Armor',
			'est_Armoradd',
			'est_Banned_Entities',
			'est_Box_Remove',
			'est_Box_Trigger',
			'est_Burn',
			'est_Cash',
			'est_CashAdd',
			'est_CExec',
			'est_classlist',
			'est_CloseFile',
			'est_conprint',
			'est_CountEnts',
			'est_CountLines',
			'est_Credits',
			'est_csay',
			'est_CvarAddFlag',
			'est_CvarDelFlag',
			'est_damage',
			'est_dead_chat',
			'est_Deafen',
			'est_DeathAdd',
			'est_Deaths',
			'est_DeathSet',
			'est_debug',
			'est_DeleteHookedServerCMD',
			'est_DeleteLine',
			'est_DeleteRagDolls',
			'est_DropWeapon',
			'est_Drug',
			'est_Drunk',
			'est_Effect',
			'est_Effect_1',
			'est_Effect_2',
			'est_Effect_3',
			'est_Effect_4',
			'est_Effect_5',
			'est_Effect_6',
			'est_Effect_7',
			'est_Effect_8',
			'est_Effect_9',
			'est_Effect_10',
			'est_Effect_11',
			'est_Effect_12',
			'est_Effect_13',
			'est_Effect_14',
			'est_Effect_15',
			'est_Effect_16',
			'est_Effect_17',
			'est_Effect_18',
			'est_Effect_19',
			'est_Effect_20',
			'est_Effect_21',
			'est_Effect_22',
			'est_Effect_23',
			'est_Effect_24',
			'est_Effect_25',
			'est_Effect_26',
			'est_Effect_27',
			'est_Effect_28',
			'est_Effect_29',
			'est_Effect_30',
			'est_Effect_31',
			'est_Effect_32',
			'est_Effect_33',
			'est_Effect_34',
			'est_Effect_35',
			'est_enable_autorebuy_hook',
			'est_enable_gravity_resetign',
			'est_enable_weapon_mods',
			'est_enable_weapon_restrictions',
			'est_EntSpamName',
			'est_Extinguish',
			'est_Fade',
			'est_for',
			'est_force_cmd',
			'est_force_rate',
			'est_force_smart',
			'est_force_update',
			'est_Freeze',
			'est_GameStarted',
			'est_GetAmmo',
			'est_GetAngleToPoint',
			'est_GetArmor',
			'est_GetChat',
			'est_GetClipAmmo',
			'est_GetDeaths',
			'est_GetEntName',
			'est_GetEscort',
			'est_GetFB',
			'est_GetGravity',
			'est_GetGun',
			'est_GetGunCoord',
			'est_GetHE',
			'est_GetHealth',
			'est_GetIndex',
			'est_GetIp',
			'est_GetKills',
			'est_GetLine',
			'est_GetName',
			'est_getoffset',
			'est_getoffsetv',
			'est_GetPrimary',
			'est_GetRescue',
			'est_GetSecondary',
			'est_GetSG',
			'est_GetSlot',
			'est_GetSteam',
			'est_GetTeam',
			'est_GetUserid',
			'est_GetViewAngle',
			'est_GetViewCoord',
			'est_GetViewPlayer',
			'est_GetViewProp',
			'est_GetWeaponIndex',
			'est_Give',
			'est_God',
			'est_HasDefuser',
			'est_HasHelmet',
			'est_HasKevlar',
			'est_Health',
			'est_Healthadd',
			'est_Hook_Cheatish',
			'est_Hook_FastBuy',
			'est_Hook_Fire',
			'est_Hook_Kill',
			'est_Hook_Menu',
			'est_HookServerCMD',
			'est_hsay',
			'est_InsertLine',
			'est_IsAdmin',
			'est_IsAlive',
			'est_IsAlpha',
			'est_IsBomber',
			'est_IsNumeric',
			'est_IsOnly',
			'est_JetPack',
			'est_KickFakeClient',
			'est_KillAdd',
			'est_Kills',
			'est_KillSet',
			'est_KnifeOnly',
			'est_LightStyle',
			'est_LoadWeaponMod',
			'est_Loop',
			'est_MakeAdmin',
			'est_MakeEntity',
			'est_Math',
			'est_Max_Read_Line',
			'est_Message_Mode',
			'est_MessageList',
			'est_MOTD_F',
			'est_MOTD_T',
			'est_MOTD_W',
			'est_msg',
			'est_MutePlayer',
			'est_Name',
			'est_namedoffset',
			'est_Near',
			'est_NearCoord',
			'est_NoClip',
			'est_OpenFile',
			'est_OpenFiles',
			'est_PhysPush',
			'est_Play',
			'est_PlayEdict',
			'est_PlayerCount',
			'est_PlayPlayer',
			'est_PrintOpenFile',
			'est_PrintRestrictions',
			'est_PrintWeaponMod',
			'est_propcount',
			'est_proplist',
			'est_propshow',
			'est_propvalue',
			'est_PushTo',
			'est_RandPlayer',
			'est_refresh',
			'est_RegClientCMD',
			'est_RegSayHook',
			'est_Remove',
			'est_RemoveAdmin',
			'est_RemoveIdle',
			'est_RemoveWeapon',
			'est_Rescued',
			'est_Restrict',
			'est_RestrictAll',
			'est_Rocket',
			'est_RoundDecimal',
			'est_SetAim',
			'est_SetAmmo',
			'est_SetArmor',
			'est_SetCash',
			'est_SetClipAmmo',
			'est_SetEntityColor',
			'est_SetEntName',
			'est_SetGravity',
			'est_SetHealth',
			'est_SetModel',
			'est_setoffset',
			'est_SetPlayerColor',
			'est_SetViewAngle',
			'est_Shake',
			'est_ShowCmdHooks',
			'est_ShowHookedServerCMD',
			'est_showmenu',
			'est_ShowMenu',
			'est_showrestrict',
			'est_ShowSayHooks',
			'est_Slay',
			'est_SpamVTables',
			'est_Spawn',
			'est_Speed',
			'est_StopSound',
			'est_StripPlayer',
			'est_Strlen',
			'est_StrTolower',
			'est_StrToUPPER',
			'est_tablelist',
			'est_Team',
			'est_Teleport',
			'est_TestRestriction',
			'est_TestSlots',
			'est_Touch_Trigger',
			'est_TrimDecimal',
			'est_unMutePlayer',
			'est_UnRegClientCMD',
			'est_UnRegSayHook',
			'est_UnRestrict',
			'est_UnRestrictAll',
			'est_uptime',
			'est_version',
			'est_ViewCone',
    	),
		
		// SECTION 7
		//   Valve, etc, commands that do not have documentation but
		//   will get a color.
		7 => array(
			'load',
			'addip',
			'adsp_alley_min',
			'adsp_courtyard_min',
			'adsp_debug',
			'adsp_door_height',
			'adsp_duct_min',
			'adsp_hall_min',
			'adsp_low_ceiling',
			'adsp_opencourtyard_min',
			'adsp_openspace_min',
			'adsp_openstreet_min',
			'adsp_openwall_min',
			'adsp_room_min',
			'adsp_street_min',
			'adsp_tunnel_min',
			'adsp_wall_height',
			'ai_auto_contact_solver',
			'ai_clear_bad_links',
			'ai_debug_assault',
			'ai_debug_directnavprobe',
			'ai_debug_doors',
			'ai_debug_efficiency',
			'ai_debug_enemies',
			'ai_debug_expressions',
			'ai_debug_follow',
			'ai_debug_loners',
			'ai_debug_looktargets',
			'ai_debug_los',
			'ai_debug_nav',
			'ai_debug_node_connect',
			'ai_debug_ragdoll_magnets',
			'ai_debug_shoot_positions',
			'ai_debug_speech',
			'ai_debug_squads',
			'ai_debug_think_ticks',
			'ai_debugscriptconditions',
			'ai_disable',
			'ai_drawbattlelines',
			'ai_dump_hints',
			'ai_efficiency_override',
			'ai_follow_use_points',
			'ai_follow_use_points_when_moving',
			'ai_lead_time',
			'ai_LOS_mode',
			'ai_moveprobe_debug',
			'ai_moveprobe_jump_debug',
			'ai_moveprobe_usetracelist',
			'ai_next_hull',
			'ai_no_local_paths',
			'ai_no_node_cache',
			'ai_no_steer',
			'ai_no_talk_delay',
			'ai_nodes',
			'ai_norebuildgraph',
			'ai_path_adjust_speed_on_immediate_turns',
			'ai_path_insert_pause_at_est_end',
			'ai_path_insert_pause_at_obstruction',
			'ai_reaction_delay_alert',
			'ai_reaction_delay_idle',
			'ai_rebalance_thinks',
			'ai_reloadresponsesystems',
			'ai_report_task_timings_on_limit',
			'ai_resume',
			'ai_sequence_debug',
			'ai_set_move_height_epsilon',
			'ai_shot_bias',
			'ai_shot_bias_max',
			'ai_shot_bias_min',
			'ai_shot_stats',
			'ai_shot_stats_term',
			'ai_show_connect',
			'ai_show_connect_fly',
			'ai_show_connect_jump',
			'ai_show_graph_connect',
			'ai_show_grid',
			'ai_show_hints',
			'ai_show_hull',
			'ai_show_hull_attacks',
			'ai_show_node',
			'ai_show_think_tolerance',
			'ai_show_visibility',
			'ai_simulate_task_overtime',
			'ai_spread_cone_focus_time',
			'ai_spread_defocused_cone_multiplier',
			'ai_spread_pattern_focus_time',
			'ai_step',
			'ai_think_limit_label',
			'ai_use_clipped_paths',
			'ai_use_efficiency',
			'ai_use_frame_think_limits',
			'ai_use_think_optimizations',
			'ainet_generate_report',
			'ainet_generate_report_only',
			'air_density',
			'alias',
			'ammo_338mag_max',
			'ammo_357sig_max',
			'ammo_45acp_max',
			'ammo_50AE_max',
			'ammo_556mm_box_max',
			'ammo_556mm_max',
			'ammo_57mm_max',
			'ammo_762mm_max',
			'ammo_9mm_max',
			'ammo_buckshot_max',
			'ammo_flashbang_max',
			'ammo_hegrenade_max',
			'ammo_smokegrenade_max',
			'autobuy',
			'autosave',
			'banid',
			'bench_echo',
			'bench_echo_newline',
			'bench_end',
			'bench_start',
			'benchframe',
			'bgmvolume',
			'bind',
			'BindToggle',
			'blink_duration',
			'bloodspray',
			'bot_about',
			'bot_add',
			'bot_add_ct',
			'bot_add_t',
			'bot_all_weapons',
			'bot_allow_grenades',
			'bot_allow_machine_guns',
			'bot_allow_pistols',
			'bot_allow_rifles',
			'bot_allow_rogues',
			'bot_allow_shield',
			'bot_allow_shotguns',
			'bot_allow_snipers',
			'bot_allow_sub_machine_guns',
			'bot_auto_vacate',
			'bot_chatter',
			'bot_crouch',
			'bot_debug',
			'bot_defer_to_human',
			'bot_difficulty',
			'bot_freeze',
			'bot_goto_mark',
			'bot_join_after_player',
			'bot_join_team',
			'bot_kick',
			'bot_kill',
			'bot_knives_only',
			'bot_memory_usage',
			'bot_mimic',
			'bot_mimic_yaw_offset',
			'bot_pistols_only',
			'bot_prefix',
			'bot_profile_db',
			'bot_quota',
			'bot_quota_match',
			'bot_show_nav',
			'bot_snipers_only',
			'bot_stop',
			'bot_traceview',
			'bot_walk',
			'bot_zombie',
			'box',
			'breakable_disable_gib_limit',
			'breakable_multiplayer',
			'buddha',
			'budget_averages_window',
			'budget_background_alpha',
			'budget_bargraph_background_alpha',
			'budget_bargraph_range_ms',
			'budget_history_numsamplesvisible',
			'budget_history_range_ms',
			'budget_panel_bottom_of_history_fraction',
			'budget_panel_height',
			'budget_panel_width',
			'budget_panel_x',
			'budget_panel_y',
			'budget_peaks_window',
			'budget_show_averages',
			'budget_show_history',
			'budget_show_peaks',
			'bug',
			'bug_swap',
			'buildcubemaps',
			'building_cubemaps',
			'buy',
			'buyequip',
			'buymenu',
			'c_maxdistance',
			'c_maxpitch',
			'c_maxyaw',
			'c_mindistance',
			'c_minpitch',
			'c_minyaw',
			'c_orthoheight',
			'c_orthowidth',
			'cam_command',
			'cam_idealdist',
			'cam_idealpitch',
			'cam_idealyaw',
			'cam_snapto',
			'camortho',
			'cancelselect',
			'cast_hull',
			'cast_ray',
			'cc_captiontrace',
			'cc_lang',
			'cc_linger_time',
			'cc_lookup_crc',
			'cc_predisplay_time',
			'cc_sentencecaptionnorepeat',
			'cd',
			'centerview',
			'ch_createairboat',
			'ch_createjeep',
			'changelevel',
			'changelevel2',
			'chooseteam',
			'cl_anglespeedkey',
			'cl_animationinfo',
			'cl_autohelp',
			'cl_autowepswitch',
			'cl_backspeed',
			'cl_bob',
			'cl_bobcycle',
			'cl_bobup',
			'cl_c4dynamiclight',
			'cl_c4progressbar',
			'cl_class',
			'cl_clock_correction',
			'cl_clock_correction_adjustment_max_amount',
			'cl_clock_correction_adjustment_max_offset',
			'cl_clock_correction_adjustment_min_offset',
			'cl_clock_correction_force_server_tick',
			'cl_clock_showdebuginfo',
			'cl_clockdrift_max_ms',
			'cl_cmdbackup',
			'cl_cmdrate',
			'cl_crosshairalpha',
			'cl_crosshaircolor',
			'cl_crosshairscale',
			'cl_crosshairusealpha',
			'cl_customization',
			'cl_customsounds',
			'cl_demoviewoverride',
			'cl_drawhud',
			'cl_drawleaf',
			'cl_drawmaterial',
			'cl_drawmonitors',
			'cl_drawshadowtexture',
			'cl_dynamiccrosshair',
			'cl_ejectbrass',
			'cl_ent_absbox',
			'cl_ent_bbox',
			'cl_ent_rbox',
			'cl_entityreport',
			'cl_extrapolate',
			'cl_extrapolate_amount',
			'cl_flushentitypacket',
			'cl_forcehighendmonitors',
			'cl_forcepreload',
			'cl_forwardspeed',
			'cl_fullupdate',
			'cl_idealpitchscale',
			'cl_ignorepackets',
			'cl_interp',
			'cl_interp_fix',
			'cl_interp_npcs',
			'cl_interpolate',
			'cl_lagcomp_errorcheck',
			'cl_lagcompensation',
			'cl_left_hand_ik',
			'cl_leveloverview',
			'cl_localnetworkbackdoor',
			'cl_logofile',
			'cl_maxrenderable_dist',
			'cl_mouseenable',
			'cl_observercrosshair',
			'cl_panelanimation',
			'cl_particleeffect_aabb_buffer',
			'cl_pclass',
			'cl_pdump',
			'cl_phys_props_max',
			'cl_phys_timescale',
			'cl_pitchdown',
			'cl_pitchspeed',
			'cl_pitchup',
			'cl_precacheinfo',
			'cl_pred_optimize',
			'cl_predict',
			'cl_predictionlist',
			'cl_predictweapons',
			'cl_pushaway_force',
			'cl_pushaway_max_force',
			'cl_radaralpha',
			'cl_radartype',
			'cl_ragdoll_collide',
			'cl_rate',
			'cl_removedecals',
			'cl_resend',
			'cl_righthand',
			'cl_scalecrosshair',
			'cl_SetupAllBones',
			'cl_show_bloodspray',
			'cl_show_splashes',
			'cl_showanimstate',
			'cl_showents',
			'cl_showerror',
			'cl_showevents',
			'cl_showfps',
			'cl_showpos',
			'cl_ShowSunVectors',
			'cl_showtextmsg',
			'cl_sidespeed',
			'cl_slist',
			'cl_smooth',
			'cl_smoothtime',
			'cl_soundemitter_flush',
			'cl_soundfile',
			'cl_soundscape_flush',
			'cl_soundscape_printdebuginfo',
			'cl_sun_decay_rate',
			'cl_team',
			'cl_timeout',
			'cl_updaterate',
			'cl_upspeed',
			'cl_view',
			'cl_winddir',
			'cl_windspeed',
			'cl_yawspeed',
			'clear',
			'clear_debug_overlays',
			'clientport',
			'closecaption',
			'cmd',
			'collision_shake_amp',
			'collision_shake_freq',
			'collision_shake_time',
			'commandmenu',
			'con_drawnotify',
			'con_enable',
			'con_notifytime',
			'con_nprint_bgalpha',
			'con_nprint_bgborder',
			'con_trace',
			'connect',
			'contimes',
			'coop',
			'CreateHairball',
			'CreatePredictionError',
			'crosshair',
			'cs_allow_stacking',
			'cs_disko',
			'cs_ShowStateTransitions',
			'cvarlist',
			'deathmatch',
			'debug_physimpact',
			'decalfrequency',
			'default_fov',
			'demo_debug',
			'demo_fastforwardfinalspeed',
			'demo_fastforwardramptime',
			'demo_fastforwardstartspeed',
			'demo_interpolateview',
			'demo_quitafterplayback',
			'demo_recordcommands',
			'demogototick',
			'demolist',
			'demopause',
			'demoresume',
			'demos',
			'demotimescale',
			'demotogglepause',
			'demoui',
			'developer',
			'differences',
			'disconnect',
			'disp_dynamic',
			'disp_modlimit',
			'disp_modlimit_down',
			'disp_modlimit_up',
			'disp_numiterations',
			'dispcoll_drawplane',
			'displaysoundlist',
			'drawcross',
			'drawline',
			'drawradar',
			'dsp_automatic',
			'dsp_db_min',
			'dsp_db_mixdrop',
			'dsp_dist_max',
			'dsp_dist_min',
			'dsp_enhance_stereo',
			'dsp_facingaway',
			'dsp_mix_max',
			'dsp_mix_min',
			'dsp_off',
			'dsp_player',
			'dsp_reload',
			'dsp_room',
			'dsp_spatial',
			'dsp_speaker',
			'dsp_vol_2ch',
			'dsp_vol_4ch',
			'dsp_vol_5ch',
			'dsp_volume',
			'dsp_water',
			'dti_flush',
			'dtwarning',
			'dtwatchent',
			'dtwatchvar',
			'dump_globals',
			'dumpstringtables',
			'echo',
			'editdemo',
			'endmovie',
			'endround',
			'ent_absbox',
			'ent_bbox',
			'ent_debugkeys',
			'ent_dump',
			'ent_fire',
			'ent_info',
			'ent_messages',
			'ent_messages_draw',
			'ent_name',
			'ent_pause',
			'ent_pivot',
			'ent_rbox',
			'ent_remove',
			'ent_remove_all',
			'ent_setname',
			'ent_show_response_criteria',
			'ent_step',
			'ent_text',
			'envmap',
			'escape',
			'exec',
			'exit',
			'fadein',
			'fadeout',
			'find',
			'fire_absorbrate',
			'fire_dmgbase',
			'fire_dmginterval',
			'fire_dmgscale',
			'fire_extabsorb',
			'fire_extscale',
			'fire_growthrate',
			'fire_heatscale',
			'fire_incomingheatscale',
			'fire_maxabsorb',
			'firetarget',
			'firstperson',
			'flex_expression',
			'flex_looktime',
			'flex_maxawaytime',
			'flex_maxplayertime',
			'flex_minawaytime',
			'flex_minplayertime',
			'flex_rules',
			'flex_smooth',
			'flex_talk',
			'flush',
			'fog_color',
			'fog_colorskybox',
			'fog_enable',
			'fog_enable_water_fog',
			'fog_enableskybox',
			'fog_end',
			'fog_endskybox',
			'fog_override',
			'fog_start',
			'fog_startskybox',
			'force_centerview',
			'fov',
			'fps_max',
			'free_pass_peek_debug',
			'fs_printopenfiles',
			'fs_warning_level',
			'func_break_max_pieces',
			'func_breakdmg_bullet',
			'func_breakdmg_club',
			'func_breakdmg_explosive',
			'g_debug_doors',
			'g_debug_ragdoll_removal',
			'g_debug_ragdoll_visualize',
			'g_debug_trackpather',
			'g_debug_transitions',
			'g_Language',
			'g_ragdoll_maxcount',
			'gameui_hide',
			'getpos',
			'give',
			'gl_clear',
			'god',
			'groundlist',
			'help',
			'hideconsole',
			'hidehud',
			'hidepanel',
			'hideradar',
			'hltv_autorecord',
			'hltv_cam',
			'hltv_connect',
			'hltv_debug',
			'hltv_delay',
			'hltv_maxclients',
			'hltv_maxrate',
			'hltv_port',
			'hltv_record',
			'hltv_retry',
			'hltv_snapshotinterval',
			'hltv_status',
			'hltv_stop',
			'hltv_stoprecord',
			'hltv_viewent',
			'host_framerate',
			'host_limitlocal',
			'host_map',
			'host_profile',
			'host_runofftime',
			'host_showcachemiss',
			'host_sleep',
			'host_speeds',
			'host_timescale',
			'host_writeconfig',
			'hostname',
			'hostport',
			'hud_autoreloadscript',
			'hud_centerid',
			'hud_deathnotice_time',
			'hud_drawhistory_time',
			'hud_fastswitch',
			'hud_reloadscheme',
			'hud_saytext_time',
			'hud_showtargetid',
			'hurtme',
			'impulse',
			'incrementvar',
			'invnext',
			'invprev',
			'ip',
			'joy_advanced',
			'joy_advaxisr',
			'joy_advaxisu',
			'joy_advaxisv',
			'joy_advaxisx',
			'joy_advaxisy',
			'joy_advaxisz',
			'joy_diagonalpov',
			'joy_forwardsensitivity',
			'joy_forwardthreshold',
			'joy_name',
			'joy_pitchsensitivity',
			'joy_pitchthreshold',
			'joy_sidesensitivity',
			'joy_sidethreshold',
			'joy_wingmanwarrier_centerhack',
			'joy_wingmanwarrier_turnhack',
			'joy_yawsensitivity',
			'joy_yawthreshold',
			'joyadvancedupdate',
			'joystick',
			'jpeg',
			'jpeg_quality',
			'kdtree_test',
			'key_findbinding',
			'key_listboundkeys',
			'kick',
			'kill',
			'killserver',
			'lastinv',
			'light_crosshair',
			'linefile',
			'list',
			'listdemo',
			'listid',
			'listip',
			'lod_Enable',
			'lod_TransitionDist',
			'log',
			'log_addaddress',
			'log_console',
			'log_events',
			'log_level',
			'log_udp',
			'lookspring',
			'lookstrafe',
			'lservercfgfile',
			'm_customaccel',
			'm_customaccel_exponent',
			'm_customaccel_max',
			'm_customaccel_scale',
			'm_filter',
			'm_forward',
			'm_mouseaccel1',
			'm_mouseaccel2',
			'm_mousespeed',
			'm_pitch',
			'm_side',
			'm_yaw',
			'map',
			'map_background',
			'map_edit',
			'map_noareas',
			'map_showspawnpoints',
			'mapcyclefile',
			'maps',
			'mat_antialias',
			'mat_bilinear',
			'mat_bloom',
			'mat_bufferprimitives',
			'mat_bumpbasis',
			'mat_bumpmap',
			'mat_camerarendertargetoverlaysize',
			'mat_clipz',
			'mat_compressedtextures',
			'mat_configcurrent',
			'mat_configdefault',
			'mat_configmax',
			'mat_crosshair',
			'mat_debug',
			'mat_debugdepth',
			'mat_debugdepthmode',
			'mat_debugdepthval',
			'mat_debugdepthvalmax',
			'mat_depthbias_decal',
			'mat_depthbias_normal',
			'mat_diffuse',
			'mat_drawflat',
			'mat_drawwater',
			'mat_dxlevel',
			'mat_envmapsize',
			'mat_envmaptgasize',
			'mat_fastnobump',
			'mat_fastspecular',
			'mat_fillrate',
			'mat_filterlightmaps',
			'mat_filtertextures',
			'mat_forceaniso',
			'mat_forcedynamic',
			'mat_forcehardwaresync',
			'mat_framebuffercopyoverlaysize',
			'mat_fullbright',
			'mat_hsv',
			'mat_info',
			'mat_leafvis',
			'mat_levelflush',
			'mat_lightmapsonly',
			'mat_loadtextures',
			'mat_luxels',
			'mat_maxframelatency',
			'mat_measurefillrate',
			'mat_mipmaptextures',
			'mat_monitorgamma',
			'mat_norendering',
			'mat_normalmaps',
			'mat_normals',
			'mat_numtextureunits',
			'mat_parallaxmap',
			'mat_picmip',
			'mat_proxy',
			'mat_reducefillrate',
			'mat_reloadallmaterials',
			'mat_reloadmaterial',
			'mat_reloadtextures',
			'mat_reversedepth',
			'mat_savechanges',
			'mat_setvideomode',
			'mat_shadowstate',
			'mat_show_texture_memory_usage',
			'mat_showbadnormals',
			'mat_showcamerarendertarget',
			'mat_showenvmapmask',
			'mat_showframebuffertexture',
			'mat_showlightmapcomponent',
			'mat_showlightmappage',
			'mat_showlowresimage',
			'mat_showmaterials',
			'mat_showmaterialsverbose',
			'mat_showmiplevels',
			'mat_showtextures',
			'mat_showwatertextures',
			'mat_skybloomamount',
			'mat_slopescaledepthbias_decal',
			'mat_slopescaledepthbias_normal',
			'mat_softwarelighting',
			'mat_softwareskin',
			'mat_specular',
			'mat_stub',
			'mat_suppress',
			'mat_surfaceid',
			'mat_surfacemat',
			'mat_texture_limit',
			'mat_texture_list',
			'mat_texture_list_all',
			'mat_texturelist_directories',
			'mat_texturelist_files',
			'mat_trilinear',
			'mat_viewportscale',
			'mat_vsync',
			'mat_wateroverlaysize',
			'mat_wireframe',
			'mat_yuv',
			'maxplayers',
			'mcache',
			'mem_dbgfile',
			'mem_dump',
			'mem_dumpstats',
			'mem_showtrash',
			'memall',
			'memcache',
			'memhunk',
			'memmodels',
			'memother',
			'memprint',
			'memprintall',
			'memsound',
			'minisave',
			'mp_allowNPCs',
			'mp_allowspectators',
			'mp_autocrosshair',
			'mp_autokick',
			'mp_autoteambalance',
			'mp_buytime',
			'mp_c4timer',
			'mp_chattime',
			'mp_decals',
			'mp_defaultteam',
			'mp_fadetoblack',
			'mp_falldamage',
			'mp_flashlight',
			'mp_footsteps',
			'mp_forcecamera',
			'mp_forcerespawn',
			'mp_fraglimit',
			'mp_freezetime',
			'mp_friendlyfire',
			'mp_hostagepenalty',
			'mp_limitteams',
			'mp_logecho',
			'mp_logfile',
			'mp_maxrounds',
			'mp_playerid',
			'mp_restartgame',
			'mp_roundtime',
			'mp_solidplayers',
			'mp_spawnprotectiontime',
			'mp_startmoney',
			'mp_teamlist',
			'mp_teamoverride',
			'mp_teamplay',
			'mp_timelimit',
			'mp_tkpunish',
			'mp_weaponstay',
			'mp_winlimit',
			'muzzleflash_light',
			'name',
			'nav_begin_area',
			'nav_clear_walkable_marks',
			'nav_connect',
			'nav_corner_lower',
			'nav_corner_raise',
			'nav_corner_select',
			'nav_crouch',
			'nav_delete',
			'nav_disconnect',
			'nav_edit',
			'nav_end_area',
			'nav_generate',
			'nav_jump',
			'nav_load',
			'nav_mark',
			'nav_mark_unnamed',
			'nav_mark_walkable',
			'nav_merge',
			'nav_no_jump',
			'nav_place_floodfill',
			'nav_place_pick',
			'nav_precise',
			'nav_quicksave',
			'nav_save',
			'nav_show_approach_points',
			'nav_show_danger',
			'nav_splice',
			'nav_split',
			'nav_strip',
			'nav_toggle_place_mode',
			'nav_toggle_place_painting',
			'nav_use_place',
			'net_address',
			'net_blockmsg',
			'net_channels',
			'net_chokeloop',
			'net_drawslider',
			'net_droppackets',
			'net_fakelag',
			'net_fakeloss',
			'net_graph',
			'net_graphheight',
			'net_graphpos',
			'net_graphsolid',
			'net_maxfragments',
			'net_scale',
			'net_showdrop',
			'net_showevents',
			'net_showfragments',
			'net_showmsg',
			'net_showpeaks',
			'net_showsplits',
			'net_showtcp',
			'net_showudp',
			'net_synctags',
			'next',
			'nextdemo',
			'noclip',
			'notarget',
			'npc_ammo_deplete',
			'npc_bipass',
			'npc_combat',
			'npc_conditions',
			'npc_create',
			'npc_create_aimed',
			'npc_create_equipment',
			'npc_destroy',
			'npc_destroy_unselected',
			'npc_enemies',
			'npc_focus',
			'npc_freeze',
			'npc_go',
			'npc_go_do_run',
			'npc_go_random',
			'npc_heal',
			'npc_ik_height_adjust',
			'npc_kill',
			'npc_nearest',
			'npc_reset',
			'npc_route',
			'npc_select',
			'npc_sentences',
			'npc_speakall',
			'npc_squads',
			'npc_steering',
			'npc_steering_all',
			'npc_task_text',
			'npc_tasks',
			'npc_thinknow',
			'npc_viewcone',
			'npc_vphysics',
			'old_radiusdamage',
			'overview_health',
			'overview_locked',
			'overview_mode',
			'overview_names',
			'overview_tracks',
			'overview_zoomabs',
			'overview_zoomrel',
			'particle_simulateoverflow',
			'password',
			'path',
			'pause',
			'perfui',
			'perfvisualbenchmark',
			'perfvisualbenchmark_abort',
			'phonemedelay',
			'phonemedelay_streaming',
			'phonemefilter',
			'phonemesnap',
			'phys_impactforcescale',
			'phys_penetration_error_time',
			'phys_pushscale',
			'phys_speeds',
			'phys_stressbodyweights',
			'phys_swap',
			'phys_timescale',
			'phys_upimpactforcescale',
			'physics_budget',
			'physics_debug_entity',
			'physics_highlight_active',
			'physics_report_active',
			'physics_select',
			'physicsshadowupdate_render',
			'picker',
			'ping',
			'play',
			'playdemo',
			'player_old_armor',
			'playflush',
			'playgamesound',
			'playsoundscape',
			'playvol',
			'progress_enable',
			'prop_crosshair',
			'prop_debug',
			'pwatchent',
			'pwatchvar',
			'quit',
			'quti',
			'r_3dnow',
			'r_3dsky',
			'r_AirboatViewDampenDamp',
			'r_AirboatViewDampenFreq',
			'r_AirboatViewZHeight',
			'r_ambientlightingonly',
			'r_anamorphic',
			'r_avglight',
			'r_avglightmap',
			'r_cheapwaterend',
			'r_cheapwaterstart',
			'r_cleardecals',
			'r_ClipAreaPortals',
			'r_colorstaticprops',
			'r_debugcheapwater',
			'r_debugrandomstaticlighting',
			'r_decal_cullsize',
			'r_decals',
			'r_DispBuildable',
			'r_DispDrawAxes',
			'r_DispEnableLOD',
			'r_DispFullRadius',
			'r_DispLockLOD',
			'r_DispRadius',
			'r_DispSetLOD',
			'r_DispTolerance',
			'r_DispUpdateAll',
			'r_DispUseStaticMeshes',
			'r_DispWalkable',
			'r_DoCovertTransitions',
			'r_dopixelvisibility',
			'r_drawbatchdecals',
			'r_DrawBeams',
			'r_drawbrushmodels',
			'r_drawclipbrushes',
			'r_drawdecals',
			'r_DrawDetailProps',
			'r_DrawDisp',
			'r_drawentities',
			'r_drawfullskybox',
			'r_drawleaf',
			'r_drawlights',
			'r_drawmodelstatsoverlay',
			'r_drawmodelstatsoverlaydistance',
			'r_drawmodelstatsoverlaymax',
			'r_drawmodelstatsoverlaymin',
			'r_drawopaquerenderables',
			'r_drawopaqueworld',
			'r_drawothermodels',
			'r_drawparticles',
			'r_drawpixelvisibility',
			'r_DrawPortals',
			'r_DrawRain',
			'r_drawrenderboxes',
			'r_drawropes',
			'r_drawskybox',
			'r_DrawSpecificStaticProp',
			'r_drawsprites',
			'r_drawstaticprops',
			'r_drawtranslucentrenderables',
			'r_drawtranslucentworld',
			'r_drawvehicles',
			'r_drawvgui',
			'r_drawviewmodel',
			'r_drawworld',
			'r_dynamic',
			'r_eyeglintlodpixels',
			'r_eyegloss',
			'r_eyemove',
			'r_eyes',
			'r_eyeshift_x',
			'r_eyeshift_y',
			'r_eyeshift_z',
			'r_eyesize',
			'r_farz',
			'r_fastzreject',
			'r_flashlightconstant',
			'r_flashlightdrawfrustum',
			'r_flashlightdrawfrustumbbox',
			'r_flashlightdrawsweptbbox',
			'r_flashlightfar',
			'r_flashlightfov',
			'r_flashlightlinear',
			'r_flashlightlockposition',
			'r_flashlightmodels',
			'r_flashlightnear',
			'r_flashlightnodraw',
			'r_flashlightoffsetx',
			'r_flashlightoffsety',
			'r_flashlightoffsetz',
			'r_flashlightquadratic',
			'r_flex',
			'r_ForceRestore',
			'r_ForceWaterLeaf',
			'r_frustumcullworld',
			'r_JeepViewDampenDamp',
			'r_JeepViewDampenFreq',
			'r_JeepViewZHeight',
			'r_lightaverage',
			'r_lightcache_numambientsamples',
			'r_lightdebug',
			'r_lightinterp',
			'r_lightmap',
			'r_lightstyle',
			'r_lockpvs',
			'r_lod',
			'r_lod_noupdate',
			'r_mapextents',
			'r_maxdlights',
			'r_maxmodeldecal',
			'r_maxnewsamples',
			'r_maxsampledist',
			'r_minnewsamples',
			'r_mmx',
			'r_modellodscale',
			'r_modelwireframedecal',
			'r_newflashlight',
			'r_newproplighting',
			'r_nohw',
			'r_norefresh',
			'r_nosw',
			'r_novis',
			'r_occludeemaxarea',
			'r_occluderminarea',
			'r_occludermincount',
			'r_occlusion',
			'r_occlusionspew',
			'r_overlaywireframe',
			'r_PhysPropStaticLighting',
			'r_portalscloseall',
			'r_portalsopenall',
			'r_PortalTestEnts',
			'r_printdecalinfo',
			'r_propsmaxdist',
			'r_radiosity',
			'r_rainalpha',
			'r_rainalphapow',
			'r_raindensity',
			'r_RainHack',
			'r_rainlength',
			'r_RainProfile',
			'r_RainRadius',
			'r_RainSideVel',
			'r_RainSimulate',
			'r_rainspeed',
			'r_RainSplashPercentage',
			'r_rainwidth',
			'r_renderoverlayfragment',
			'r_rootlod',
			'r_ropebatch',
			'r_ropetranslucent',
			'r_screenoverlay',
			'r_sequence_debug',
			'r_shadowangles',
			'r_shadowblobbycutoff',
			'r_shadowcolor',
			'r_shadowdir',
			'r_shadowdist',
			'r_shadowids',
			'r_shadowmaxrendered',
			'r_shadowrendertotexture',
			'r_shadows',
			'r_shadowwireframe',
			'r_showenvcubemap',
			'r_skin',
			'r_skybox',
			'r_snapportal',
			'r_sse',
			'r_sse2',
			'r_staticpropinfo',
			'r_teeth',
			'r_traceglow',
			'r_TransitionSensitivity',
			'r_updaterefracttexture',
			'r_vehicleBrakeRate',
			'r_vehicleDrawDebug',
			'r_VehicleViewClamp',
			'r_VehicleViewDampen',
			'r_visocclusion',
			'r_visualizelighttraces',
			'r_visualizelighttracesshowfulltrace',
			'r_visualizeproplightcaching',
			'r_visualizetraces',
			'r_WaterDrawReflection',
			'r_WaterDrawRefraction',
			'r_waterforceexpensive',
			'r_waterforcereflectentities',
			'r_worldlightmin',
			'r_worldlights',
			'rate',
			'rcon',
			'rcon_address',
			'rcon_password',
			'rconport',
			'rebuy',
			'recompute_speed',
			'record',
			'reload',
			'removeid',
			'removeip',
			'replaydelay',
			'report_entities',
			'report_simthinklist',
			'report_soundpatch',
			'report_soundpatch',
			'report_touchlinks',
			'restart',
			'retry',
			'revert',
			'room_type',
			'rope_averagelight',
			'rope_collide',
			'rope_drawlines',
			'rope_shake',
			'rope_smooth',
			'rope_smooth_enlarge',
			'rope_smooth_maxalpha',
			'rope_smooth_maxalphawidth',
			'rope_smooth_minalpha',
			'rope_smooth_minwidth',
			'rope_subdiv',
			'rope_wind_dist',
			'save',
			'say',
			'say_team',
			'scene_allowoverrides',
			'scene_flush',
			'scene_forcecombined',
			'scene_print',
			'scene_showfaceto',
			'scene_showlook',
			'scene_showmoveto',
			'scr_centertime',
			'scr_printspeed',
			'screenshot',
			'sensitivity',
			'servercfgfile',
			'setang',
			'setmaster',
			'setmodel',
			'setpause',
			'setpos',
			'shake',
			'showbudget_texture',
			'showhitlocation',
			'showinfo',
			'showpanel',
			'showparticlecounts',
			'showtriggers',
			'showtriggers_toggle',
			'singlestep',
			'sk_ally_regen_time',
			'sk_npc_arm',
			'sk_npc_chest',
			'sk_npc_head',
			'sk_npc_leg',
			'sk_npc_stomach',
			'sk_player_arm',
			'sk_player_chest',
			'sk_player_head',
			'sk_player_leg',
			'sk_player_stomach',
			'skill',
			'slist',
			'slot0',
			'slot1',
			'slot10',
			'slot2',
			'slot3',
			'slot4',
			'slot5',
			'slot6',
			'slot7',
			'slot8',
			'slot9',
			'smoothstairs',
			'snapto',
			'snd_async_spew_blocking',
			'snd_disable_mixer_duck',
			'snd_duckerattacktime',
			'snd_duckerreleasetime',
			'snd_duckerthreshold',
			'snd_ducktovolume',
			'snd_flushasync',
			'snd_foliage_db_loss',
			'snd_gain',
			'snd_gain_max',
			'snd_gain_min',
			'snd_memasync',
			'snd_mixahead',
			'snd_mixvol',
			'snd_musicvolume',
			'snd_noextraupdate',
			'snd_obscured_gain_dB',
			'snd_pitchquality',
			'snd_profile',
			'snd_rebuildaudiocache',
			'snd_refdb',
			'snd_refdist',
			'snd_restart',
			'snd_show',
			'snd_showclassname',
			'snd_showmixer',
			'snd_showstart',
			'snd_soundmixer',
			'snd_surround_speakers',
			'snd_visualize',
			'snd_vox_captiontrace',
			'snd_vox_globaltimeout',
			'snd_vox_sectimetout',
			'snd_vox_seqtimetout',
			'sndplaydelay',
			'soundfade',
			'soundinfo',
			'soundlist',
			'soundscape_fadetime',
			'soundscape_flush',
			'speak',
			'spec_help',
			'spec_pos',
			'spec_scoreboard',
			'spec_track',
			'specmenu',
			'spike',
			'startdemos',
			'startmovie',
			'startupmenu',
			'status',
			'step_spline',
			'stop',
			'stopdemo',
			'stopsound',
			'stopsoundscape',
			'stuffcmds',
			'suitvolume',
			'surfaceprop',
			'sv_accelerate',
			'sv_airaccelerate',
			'sv_alltalk',
			'sv_backspeed',
			'sv_bounce',
			'sv_cacheencodedents',
			'sv_cheats',
			'sv_contact',
			'sv_customizations',
			'sv_debug_player_use',
			'sv_debugmanualmode',
			'sv_debugresponses',
			'sv_deltaprint',
			'sv_deltatime',
			'sv_dumpresponses',
			'sv_filterban',
			'sv_findsoundname',
			'sv_footsteps',
			'sv_forcepreload',
			'sv_friction',
			'sv_friendly_dmg_immune',
			'sv_fullsendtables',
			'sv_gravity',
			'sv_hltv',
			'sv_instancebaselines',
			'sv_lan',
			'sv_logbans',
			'sv_massreport',
			'sv_maxrate',
			'sv_maxspeed',
			'sv_maxunlag',
			'sv_maxupdaterate',
			'sv_maxvelocity',
			'sv_minrate',
			'sv_minupdaterate',
			'sv_netvisdist',
			'sv_noclipaccelerate',
			'sv_noclipduringpause',
			'sv_noclipspeed',
			'sv_npc_talker_maxdist',
			'sv_password',
			'sv_pausable',
			'sv_precachegeneric',
			'sv_precacheinfo',
			'sv_precachemodel',
			'sv_precachesound',
			'sv_pushaway_clientside',
			'sv_pushaway_clientside_size',
			'sv_pushaway_force',
			'sv_pushaway_max_force',
			'sv_pushaway_min_player_speed',
			'sv_rcon_banpenalty',
			'sv_rcon_maxfailures',
			'sv_rcon_minfailures',
			'sv_rcon_minfailuretime',
			'sv_region',
			'sv_rollangle',
			'sv_rollspeed',
			'sv_runcmds',
			'sv_showhitboxes',
			'sv_showladders',
			'sv_skyname',
			'sv_soundemitter_filecheck',
			'sv_soundemitter_flush',
			'sv_soundemitter_trace',
			'sv_soundscape_printdebuginfo',
			'sv_specaccelerate',
			'sv_specnoclip',
			'sv_specspeed',
			'sv_stats',
			'sv_stepsize',
			'sv_stopspeed',
			'sv_stressbots',
			'sv_strict_notarget',
			'sv_suppress_viewpunch',
			'sv_teststepsimulation',
			'sv_thinktimecheck',
			'sv_timeout',
			'sv_unlag',
			'sv_unlockedchapters',
			'sv_voicecodec',
			'sv_voiceenable',
			'sv_wateraccelerate',
			'sv_waterdist',
			'sv_waterfriction',
			'template_debug',
			'Test_CreateEntity',
			'test_dispatcheffect',
			'Test_EHandle',
			'test_entity_blocker',
			'Test_InitRandomEntitySpawner',
			'Test_Loop',
			'Test_LoopCount',
			'Test_LoopForNumSeconds',
			'test_nav_opt',
			'Test_ProxyToggle_EnableProxy',
			'Test_ProxyToggle_EnsureValue',
			'Test_ProxyToggle_SetValue',
			'Test_RandomChance',
			'Test_RandomizeInPVS',
			'Test_RandomPlayerPosition',
			'Test_RemoveAllRandomEntities',
			'Test_RunFrame',
			'Test_SendKey',
			'Test_SpawnRandomEntities',
			'Test_StartLoop',
			'Test_StartScript',
			'Test_Wait',
			'Test_WaitForCheckPoint',
			'testhudanim',
			'testscript_debug',
			'texture_budget_background_alpha',
			'texture_budget_panel_bottom_of_history_fraction',
			'texture_budget_panel_global',
			'texture_budget_panel_height',
			'texture_budget_panel_width',
			'texture_budget_panel_x',
			'texture_budget_panel_y',
			'tf2_facefronttime',
			'tf2_feetyawrate',
			'tf2_ik',
			'think_limit',
			'thirdperson',
			'timedemo',
			'timedemoquit',
			'timerefresh',
			'toggleconsole',
			'togglescores',
			'trace_report',
			'tracer_extra',
			'unbind',
			'unbindall',
			'unpause',
			'use',
			'user',
			'users',
			'v_centermove',
			'v_centerspeed',
			'v_ipitch_cycle',
			'v_ipitch_level',
			'v_iroll_cycle',
			'v_iroll_level',
			'v_iyaw_cycle',
			'v_iyaw_level',
			'vcollide_wireframe',
			'vcollide_wireframe_axes',
			'version',
			'vgui_drawfocus',
			'vgui_drawtree',
			'vgui_drawtree_clear',
			'vgui_drawtree_freeze',
			'vgui_drawtree_hidden',
			'vgui_drawtree_panelptr',
			'vgui_drawtree_popupsonly',
			'vgui_drawtree_render_order',
			'vgui_drawtree_visible',
			'vgui_togglepanel',
			'viewmodel_fov',
			'violence_ablood',
			'violence_agibs',
			'violence_hblood',
			'violence_hgibs',
			'voice_avggain',
			'voice_clientdebug',
			'voice_dsound',
			'voice_enable',
			'voice_fadeouttime',
			'voice_forcemicrecord',
			'voice_inputfromfile',
			'voice_loopback',
			'voice_maxgain',
			'voice_modenable',
			'voice_overdrive',
			'voice_overdrivefadetime',
			'voice_profile',
			'voice_recordtofile',
			'voice_scale',
			'voice_serverdebug',
			'voice_showbanned',
			'voice_showchannels',
			'voice_showincoming',
			'voice_steal',
			'volume',
			'vox_reload',
			'voxeltree_box',
			'voxeltree_playerview',
			'voxeltree_sphere',
			'voxeltree_view',
			'vprof',
			'vprof_adddebuggroup1',
			'vprof_cachemiss',
			'vprof_cachemiss_off',
			'vprof_cachemiss_on',
			'vprof_child',
			'vprof_collapse_all',
			'vprof_counters',
			'vprof_dump_groupnames',
			'vprof_dump_spikes',
			'vprof_expand_all',
			'vprof_expand_group',
			'vprof_generate_report',
			'vprof_generate_report_AI',
			'vprof_generate_report_AI_only',
			'vprof_generate_report_hierarchy',
			'vprof_generate_report_map_load',
			'vprof_graph',
			'vprof_graphheight',
			'vprof_graphwidth',
			'vprof_nextsibling',
			'vprof_off',
			'vprof_on',
			'vprof_parent',
			'vprof_playback_start',
			'vprof_playback_step',
			'vprof_playback_stop',
			'vprof_prevsibling',
			'vprof_record_start',
			'vprof_record_stop',
			'vprof_remote_start',
			'vprof_remote_stop',
			'vprof_reset',
			'vprof_reset_peaks',
			'vprof_scope',
			'vprof_unaccounted_limit',
			'vprof_verbose',
			'vprof_vtune_group',
			'vtune',
			'wait',
			'wc_air_edit_further',
			'wc_air_edit_nearer',
			'wc_air_node_edit',
			'wc_create',
			'wc_destroy',
			'wc_destroy_undo',
			'wc_link_edit',
			'wc_update_entity',
			'weapon_showproficiency',
			'writeid',
			'writeip',
			'zoom_sensitivity_ratio',
		),

		// SECTION 8
		//   Mani, SourceUtils, srcX commands.
		8 => array(
			'ma_aban_name',
			'ma_aban_pname',
			'ma_admingroups',
			'ma_admins',
			'ma_akick_ip',
			'ma_akick_name',
			'ma_akick_pname',
			'ma_akick_steam',
			'ma_ashow_ip',
			'ma_ashow_name',
			'ma_ashow_pname',
			'ma_ashow_steam',
			'ma_balance',
			'ma_ban',
			'ma_banip',
			'ma_blind',
			'ma_browse',
			'ma_burn',
			'ma_cexec',
			'ma_cexec_all',
			'ma_cexec_ct',
			'ma_cexec_spec',
			'ma_cexec_t',
			'ma_chat',
			'ma_csay',
			'ma_drug',
			'ma_explode',
			'ma_freeze',
			'ma_givecash',
			'ma_givecashp',
			'ma_help',
			'ma_immunity',
			'ma_kick',
			'ma_knives',
			'ma_map',
			'ma_mapcycle',
			'ma_maplist',
			'ma_msay',
			'ma_noclip',
			'ma_nosnipers',
			'ma_pistols',
			'ma_play',
			'ma_plranks',
			'ma_psay',
			'ma_ranks',
			'ma_rates',
			'ma_rcon',
			'ma_restrict',
			'ma_saveloc',
			'ma_say',
			'ma_setcash',
			'ma_setnextmap',
			'ma_settings',
			'ma_shotguns',
			'ma_showrestrict',
			'ma_showsounds',
			'ma_slap',
			'ma_slay',
			'ma_swapteam',
			'ma_takecash',
			'ma_takecashp',
			'ma_teleport',
			'ma_timeleft',
			'ma_tklist',
			'ma_unaban_name',
			'ma_unaban_pname',
			'ma_unakick_ip',
			'ma_unakick_name',
			'ma_unakick_pname',
			'ma_unakick_steam',
			'ma_unban',
			'ma_unrestrict',
			'ma_unrestrictall',
			'ma_users',
			'ma_version',
			'ma_vote',
			'ma_vote',
			'ma_votecancel',
			'ma_voteextend',
			'ma_votemaplist',
			'ma_votequestion',
			'ma_votercon',
			'ma_war',
			'ma_beacon',
			'ma_chattriggers',
			'ma_client',
			'ma_clientgroup',
			'ma_color',
			'ma_colorweapon',
			'ma_colour',
			'ma_colourweapon',
			'ma_config',
			'ma_dropc4',
			'ma_dumpspawnpoints',
			'ma_effect',
			'ma_favourites',
			'ma_firebomb',
			'ma_forcegametype',
			'ma_freezebomb',
			'ma_game',
			'ma_getmap',
			'ma_getprop',
			'ma_getpropfilt',
			'ma_gimp',
			'ma_give',
			'ma_give_ammo',
			'ma_giveammo',
			'ma_hlx_hint',
			'ma_showprops',
			'mani_admin_temp_ban_time_limit',
			'mani_external_stats_log_allow_war_logs',
			'mani_menu_force_text_input_via_esc',
			'ma_givehealth',
			'ma_givehealthp',
			'ma_gravity',
			'ma_hlx_browse',
			'ma_hlx_cexec',
			'ma_hlx_csay',
			'ma_hlx_msay',
			'ma_hlx_psay',
			'ma_hlx_swap',
			'ma_maphistory',
			'ma_mute',
			'ma_reloadclients',
			'ma_render_fx',
			'ma_render_mode',
			'ma_resetrank',
			'ma_restrictall',
			'ma_setflag',
			'ma_sethealth',
			'ma_setskin',
			'ma_skipmap',
			'ma_spec',
			'ma_takehealth',
			'ma_takehealthp',
			'ma_timebomb',
			'ma_unauto_name',
			'ma_unauto_pname',
			'ma_voterandom',
			'mani_adjust_time',
			'mani_admin_burn_time',
			'mani_admin_plugin_version',
			'mani_adminban_anonymous',
			'mani_adminbeacon_anonymous',
			'mani_adminblind_anonymous',
			'mani_adminburn_anonymous',
			'mani_admincash_anonymous',
			'mani_admincolor_anonymous',
			'mani_admindropc4_anonymous',
			'mani_admindrug_anonymous',
			'mani_adminfirebomb_anonymous',
			'mani_adminfreeze_anonymous',
			'mani_adminfreezebomb_anonymous',
			'mani_admingimp_anonymous',
			'mani_admingive_anonymous',
			'mani_admingravity_anonymous',
			'mani_adminhealth_anonymous',
			'mani_adminkick_anonymous',
			'mani_adminmap_anonymous',
			'mani_adminmute_anonymous',
			'mani_adminnoclip_anonymous',
			'mani_adminsay_anonymous',
			'mani_adminsay_bottom_area',
			'mani_adminsay_chat_area',
			'mani_adminsay_top_left',
			'mani_adminsetskin_anonymous',
			'mani_adminslap_anonymous',
			'mani_adminslay_anonymous',
			'mani_adminswap_anonymous',
			'mani_adminteleport_anonymous',
			'mani_admintimebomb_anonymous',
			'mani_adminvote_anonymous',
			'mani_advert_col_blue',
			'mani_advert_col_green',
			'mani_advert_col_red',
			'mani_advert_dead_only',
			'mani_adverts',
			'mani_adverts_bottom_area',
			'mani_adverts_chat_area',
			'mani_adverts_top_left',
			'mani_afk_kicker',
			'mani_afk_kicker_alive_rounds',
			'mani_afk_kicker_alive_timer',
			'mani_afk_kicker_immunity_to_spec_only',
			'mani_afk_kicker_mode',
			'mani_afk_kicker_spectator_rounds',
			'mani_afk_kicker_spectator_timer',
			'mani_all_see_ma_rates',
			'mani_allow_chat_to_admin',
			'mani_autobalance_mode',
			'mani_autobalance_teams',
			'mani_automap',
			'mani_automap_include_bots',
			'mani_automap_map_list',
			'mani_automap_player_threshold',
			'mani_automap_set_nextmap',
			'mani_automap_timer',
			'mani_blind_ghosters',
			'mani_chat_flood_message',
			'mani_chat_flood_time',
			'mani_cs_stacking_num_levels',
			'mani_css_betting',
			'mani_css_betting_announce_one_v_one',
			'mani_css_betting_dead_only',
			'mani_css_betting_pay_losing_bets',
			'mani_css_bounty',
			'mani_css_bounty_ct_alpha',
			'mani_css_bounty_ct_blue',
			'mani_css_bounty_ct_green',
			'mani_css_bounty_ct_red',
			'mani_css_bounty_kill_cash',
			'mani_css_bounty_kill_streak',
			'mani_css_bounty_start_cash',
			'mani_css_bounty_survive_round_cash',
			'mani_css_bounty_t_alpha',
			'mani_css_bounty_t_blue',
			'mani_css_bounty_t_green',
			'mani_css_bounty_t_red',
			'mani_css_objectives',
			'mani_dead_alltalk',
			'mani_external_stats_css_include_bots',
			'mani_external_stats_log',
			'mani_ff_player_only',
			'mani_filter_words_mode',
			'mani_filter_words_warning',
			'mani_gimp_transform_message',
			'mani_gimp_untransform_message',
			'mani_high_ping_kick',
			'mani_high_ping_kick_message',
			'mani_high_ping_kick_ping_limit',
			'mani_high_ping_kick_samples_required',
			'mani_hostage_follow_warning',
			'mani_log_directory',
			'mani_log_mode',
			'mani_map_adverts',
			'mani_map_adverts_in_war',
			'mani_mapcycle_mode',
			'mani_military_time',
			'mani_mute_con_command_spam',
			'mani_nextmap',
			'mani_nextmap_player_only',
			'mani_old_style_menu_behaviour',
			'mani_path',
			'mani_player_name_change_ban_time',
			'mani_player_name_change_punishment',
			'mani_player_name_change_reset',
			'mani_player_name_change_threshold',
			'mani_player_settings_damage',
			'mani_player_settings_death_beam',
			'mani_player_settings_destructive',
			'mani_player_settings_quake',
			'mani_player_settings_sounds',
			'mani_player_settings_vote_progress',
			'mani_quake_auto_download',
			'mani_quake_dominating_mode',
			'mani_quake_dominating_trigger_count',
			'mani_quake_dominating_visual_mode',
			'mani_quake_firstblood_mode',
			'mani_quake_firstblood_reset_per_round',
			'mani_quake_firstblood_visual_mode',
			'mani_quake_god_like_mode',
			'mani_quake_god_like_trigger_count',
			'mani_quake_god_like_visual_mode',
			'mani_quake_headshot_mode',
			'mani_quake_headshot_visual_mode',
			'mani_quake_holy_shit_mode',
			'mani_quake_holy_shit_trigger_count',
			'mani_quake_holy_shit_visual_mode',
			'mani_quake_humiliation_mode',
			'mani_quake_humiliation_visual_mode',
			'mani_quake_humiliation_weapon',
			'mani_quake_kill_streak_mode',
			'mani_quake_killing_spree_mode',
			'mani_quake_killing_spree_trigger_count',
			'mani_quake_killing_spree_visual_mode',
			'mani_quake_ludicrous_kill_mode',
			'mani_quake_ludicrous_kill_trigger_count',
			'mani_quake_ludicrous_kill_visual_mode',
			'mani_quake_monster_kill_mode',
			'mani_quake_monster_kill_trigger_count',
			'mani_quake_monster_kill_visual_mode',
			'mani_quake_multi_kill_mode',
			'mani_quake_multi_kill_visual_mode',
			'mani_quake_prepare_to_fight_mode',
			'mani_quake_prepare_to_fight_visual_mode',
			'mani_quake_rampage_mode',
			'mani_quake_rampage_trigger_count',
			'mani_quake_rampage_visual_mode',
			'mani_quake_sounds',
			'mani_quake_ultra_kill_mode',
			'mani_quake_ultra_kill_trigger_count',
			'mani_quake_ultra_kill_visual_mode',
			'mani_quake_unstoppable_mode',
			'mani_quake_unstoppable_trigger_count',
			'mani_quake_unstoppable_visual_mode',
			'mani_quake_wicked_sick_mode',
			'mani_quake_wicked_sick_trigger_count',
			'mani_quake_wicked_sick_visual_mode',
			'mani_reserve_slots',
			'mani_reserve_slots_allow_slot_fill',
			'mani_reserve_slots_include_admin',
			'mani_reserve_slots_kick_message',
			'mani_reserve_slots_kick_method',
			'mani_reserve_slots_number_of_slots',
			'mani_reserve_slots_redirect',
			'mani_reserve_slots_redirect_message',
			'mani_reverse_admin_flags',
			'mani_reverse_immunity_flags',
			'mani_save_scores',
			'mani_save_scores_css_cash',
			'mani_save_scores_tracking_time',
			'mani_say_command_prefix',
			'mani_show_death_beams',
			'mani_show_victim_stats',
			'mani_show_victim_stats_inflicted_only',
			'mani_skins_admin',
			'mani_skins_auto_download',
			'mani_skins_force_choose_on_join',
			'mani_skins_force_public',
			'mani_skins_public',
			'mani_skins_random_bot_skins',
			'mani_skins_reserved',
			'mani_skins_setskin_misc_only',
			'mani_sort_menus',
			'mani_sounds_auto_download',
			'mani_sounds_filter_if_dead',
			'mani_sounds_per_round',
			'mani_spawnpoints_mode',
			'mani_spray_tag',
			'mani_spray_tag_ban_message',
			'mani_spray_tag_ban_time',
			'mani_spray_tag_block_message',
			'mani_spray_tag_block_mode',
			'mani_spray_tag_kick_message',
			'mani_spray_tag_perm_ban_message',
			'mani_spray_tag_slap_damage',
			'mani_spray_tag_spray_distance_limit',
			'mani_spray_tag_spray_duration',
			'mani_spray_tag_spray_highlight',
			'mani_spray_tag_warning_message',
			'mani_stats',
			'mani_stats_alternative_rank_message',
			'mani_stats_by_steam_id',
			'mani_stats_calculate',
			'mani_stats_calculate_frequency',
			'mani_stats_css_bomb_defused_bonus',
			'mani_stats_css_bomb_planted_bonus',
			'mani_stats_css_ct_all_hostages_rescued_team_bonus',
			'mani_stats_css_ct_bomb_defused_team_bonus',
			'mani_stats_css_ct_eliminated_team_bonus',
			'mani_stats_css_ct_hostage_killed_team_bonus',
			'mani_stats_css_ct_hostage_rescued_team_bonus',
			'mani_stats_css_ct_vip_escaped_team_bonus',
			'mani_stats_css_hostage_killed_bonus',
			'mani_stats_css_hostage_rescued_bonus',
			'mani_stats_css_t_bomb_planted_team_bonus',
			'mani_stats_css_t_eliminated_team_bonus',
			'mani_stats_css_t_target_bombed_team_bonus',
			'mani_stats_css_t_vip_assassinated_team_bonus',
			'mani_stats_css_vip_escape_bonus',
			'mani_stats_css_vip_killed_bonus',
			'mani_stats_css_weapon_ak47',
			'mani_stats_css_weapon_aug',
			'mani_stats_css_weapon_awp',
			'mani_stats_css_weapon_deagle',
			'mani_stats_css_weapon_elite',
			'mani_stats_css_weapon_famas',
			'mani_stats_css_weapon_fiveseven',
			'mani_stats_css_weapon_flashbang',
			'mani_stats_css_weapon_g3sg1',
			'mani_stats_css_weapon_galil',
			'mani_stats_css_weapon_glock',
			'mani_stats_css_weapon_hegrenade',
			'mani_stats_css_weapon_knife',
			'mani_stats_css_weapon_m249',
			'mani_stats_css_weapon_m3',
			'mani_stats_css_weapon_m4a1',
			'mani_stats_css_weapon_mac10',
			'mani_stats_css_weapon_mp5navy',
			'mani_stats_css_weapon_p228',
			'mani_stats_css_weapon_p90',
			'mani_stats_css_weapon_scout',
			'mani_stats_css_weapon_sg550',
			'mani_stats_css_weapon_sg552',
			'mani_stats_css_weapon_smokegrenade',
			'mani_stats_css_weapon_tmp',
			'mani_stats_css_weapon_ump45',
			'mani_stats_css_weapon_usp',
			'mani_stats_css_weapon_xm1014',
			'mani_stats_decay_period',
			'mani_stats_decay_restore_points_on_connect',
			'mani_stats_decay_start',
			'mani_stats_dods_block_capture',
			'mani_stats_dods_capture_point',
			'mani_stats_dods_round_win_bonus',
			'mani_stats_dods_weapon_30cal',
			'mani_stats_dods_weapon_amerknife',
			'mani_stats_dods_weapon_bar',
			'mani_stats_dods_weapon_bazooka',
			'mani_stats_dods_weapon_c96',
			'mani_stats_dods_weapon_colt',
			'mani_stats_dods_weapon_frag_ger',
			'mani_stats_dods_weapon_frag_us',
			'mani_stats_dods_weapon_garand',
			'mani_stats_dods_weapon_k98',
			'mani_stats_dods_weapon_k98_scoped',
			'mani_stats_dods_weapon_m1carbine',
			'mani_stats_dods_weapon_mg42',
			'mani_stats_dods_weapon_mp40',
			'mani_stats_dods_weapon_mp44',
			'mani_stats_dods_weapon_p38',
			'mani_stats_dods_weapon_pschreck',
			'mani_stats_dods_weapon_punch',
			'mani_stats_dods_weapon_riflegren_ger',
			'mani_stats_dods_weapon_riflegren_us',
			'mani_stats_dods_weapon_smoke_ger',
			'mani_stats_dods_weapon_smoke_us',
			'mani_stats_dods_weapon_spade',
			'mani_stats_dods_weapon_spring',
			'mani_stats_dods_weapon_thompson',
			'mani_stats_drop_player_days',
			'mani_stats_ignore_ranks_after_x_days',
			'mani_stats_include_bot_kills',
			'mani_stats_kills_before_points_removed',
			'mani_stats_kills_required',
			'mani_stats_mode',
			'mani_stats_most_destructive',
			'mani_stats_most_destructive_mode',
			'mani_stats_players_needed',
			'mani_stats_points_add_only',
			'mani_stats_points_death_multiplier',
			'mani_stats_points_multiplier',
			'mani_stats_show_rank_to_all',
			'mani_stats_top_display_time',
			'mani_stats_write_frequency_to_disk',
			'mani_stats_write_text_file',
			'mani_steam_id_pending_show_admin',
			'mani_steam_id_pending_timeout',
			'mani_swap_team_score',
			'mani_team_join_force_auto',
			'mani_team_join_keep_same_team',
			'mani_thetime_player_only',
			'mani_thetime_timezone',
			'mani_tickrate',
			'mani_time_between_adverts',
			'mani_timeleft_player_only',
			'mani_tk_add_violation_without_forgive',
			'mani_tk_allow_beacon_option',
			'mani_tk_allow_blind_option',
			'mani_tk_allow_bots_to_add_violations',
			'mani_tk_allow_bots_to_punish',
			'mani_tk_allow_burn_option',
			'mani_tk_allow_cash_option',
			'mani_tk_allow_drugged_option',
			'mani_tk_allow_fire_bomb_option',
			'mani_tk_allow_forgive_option',
			'mani_tk_allow_freeze_bomb_option',
			'mani_tk_allow_freeze_option',
			'mani_tk_allow_slap_option',
			'mani_tk_allow_slay_option',
			'mani_tk_allow_time_bomb_option',
			'mani_tk_ban_time',
			'mani_tk_beacon_radius',
			'mani_tk_blind_amount',
			'mani_tk_burn_time',
			'mani_tk_cash_percent',
			'mani_tk_fire_bomb_beep_radius',
			'mani_tk_fire_bomb_blast_mode',
			'mani_tk_fire_bomb_blast_radius',
			'mani_tk_fire_bomb_burn_time',
			'mani_tk_fire_bomb_seconds',
			'mani_tk_fire_bomb_show_beams',
			'mani_tk_forgive',
			'mani_tk_freeze_bomb_beep_radius',
			'mani_tk_freeze_bomb_blast_mode',
			'mani_tk_freeze_bomb_blast_radius',
			'mani_tk_freeze_bomb_seconds',
			'mani_tk_freeze_bomb_show_beams',
			'mani_tk_offences_for_ban',
			'mani_tk_protection',
			'mani_tk_show_opposite_team_wound',
			'mani_tk_slap_on_team_wound',
			'mani_tk_slap_on_team_wound_damage',
			'mani_tk_slap_to_damage',
			'mani_tk_spawn_time',
			'mani_tk_team_wound_reflect',
			'mani_tk_team_wound_reflect_ratio',
			'mani_tk_team_wound_reflect_ratio_increase',
			'mani_tk_team_wound_reflect_threshold',
			'mani_tk_time_bomb_beep_radius',
			'mani_tk_time_bomb_blast_mode',
			'mani_tk_time_bomb_blast_radius',
			'mani_tk_time_bomb_seconds',
			'mani_tk_time_bomb_show_beams',
			'mani_unlimited_grenades',
			'mani_use_amx_style_menu',
			'mani_use_ma_in_say_command',
			'mani_vote_allow_end_of_map_vote',
			'mani_vote_allow_extend',
			'mani_vote_allow_rock_the_vote',
			'mani_vote_allow_user_vote_ban',
			'mani_vote_allow_user_vote_ban_ghost',
			'mani_vote_allow_user_vote_kick',
			'mani_vote_allow_user_vote_kick_ghost',
			'mani_vote_allow_user_vote_map',
			'mani_vote_allow_user_vote_map_extend',
			'mani_vote_allowed_voting_time',
			'mani_vote_dont_show_if_alive',
			'mani_vote_dont_show_last_maps',
			'mani_vote_end_of_map_percent_required',
			'mani_vote_end_of_map_swap_team',
			'mani_vote_extend_percent_required',
			'mani_vote_extend_rounds',
			'mani_vote_extend_time',
			'mani_vote_map_percent_required',
			'mani_vote_mapcycle_mode_for_admin_map_vote',
			'mani_vote_mapcycle_mode_for_random_map_vote',
			'mani_vote_max_extends',
			'mani_vote_max_maps_for_end_of_map_vote',
			'mani_vote_question_percent_required',
			'mani_vote_random_map_percent_required',
			'mani_vote_rcon_percent_required',
			'mani_vote_rock_the_vote_number_of_maps',
			'mani_vote_rock_the_vote_number_of_nominations',
			'srcx_version',
			'srcx_gamedir',
			'sx_escmenu',
			'sx_escentrybox',
			'sx_esctextbox',
			'sx_bitwise',
			'sx_getmodel',
			'sx_getmodelindex',
			'sx_getentmodel',
			'sx_getentmodelindex',
			'su_mysql',
			'su_mysqlcreate',
			'su_mysqldelete',
			'su_mysqledit',
			'su_mysqlinfo',
			'su_mysqlfast',
			'su_adddownload',
			'su_getexists',
			'su_precache',
			'su_getversion',
			'su_rand',
			'su_cvarforceset',
			'su_endround',
			'su_gettime',
			'su_replace',
			'su_changelevel',
			'su_profile',
			'su_load',
			'su_load_print',
			'su_unload',
			'su_externalsrc',
			'su_compile',
			'su_log',
			'su_sound',
			'su_sconsole',
			'su_sqlite',
			'su_geoip',
			'su_getnetinfo',
			'su_mapfind',
			'su_echo',
			'su_for',
			'su_file',
			'su_filecreate',
			'su_dumpclassprops',
			'su_dumpclassprops',
			'su_dumpsclean',
			'su_temp_get',
			'su_version',
			'su_os',
			'su_maxplayers',
			'su_currentmap',
			'su_gamemod',
			'su_lastcompile',
			'su_tickrate',
			'su_externalsrc_folder',
			'su_avaliable_parms',
			'su_servergamedll',
			'su_tools_folder',
			'su_dumps_folder',
			'su_dedicatedserver',
			'su_nextmap',
			'su_backmap',
			'su_freelib_version',
			'su_freelib_license',
			'su_mysql',
			'su_thread',
			'su_file',
    	),
	),
	'SYMBOLS' => array(
		'(', ')', '{', '}', '!', '*', '|', '/', '<', '>', '=',
	),
	'CASE_SENSITIVE' => array(
		GESHI_COMMENTS => false,
		1 => false,
		3 => false,
		4 => false,
		5 => false,
		6 => false,
		7 => false,
		8 => false,
	),
	'STYLES' => array(
		'KEYWORDS' => array(
			1 => 'color: #b100b1; font-weight: bold;',
			3 => 'color: #0000FF;',
			4 => 'color: #880000;',
			5 => 'color: #bb0000;',
			6 => 'color: #00b1b1;',
			7 => 'color: #00b1b1;',
			8 => 'color: #00b1b1;',
		),
		'COMMENTS' => array(
			1 => 'color: #008800;',
		),
		'ESCAPE_CHAR' => array(
			0 => 'color: #000099; font-weight: bold;'
		),
		'BRACKETS' => array(
			0 => 'color: #000000; font-weight: bold;'
		),
		'STRINGS' => array(
			0 => 'color: #ff0000;'
		),
		'NUMBERS' => array(
			0 => 'color: #cc66cc;'
		),
		'METHODS' => array(
		),
		'SYMBOLS' => array(
			0 => 'color: #000000; font-weight: bold;'
		),
		'SCRIPT' => array(
		)
	),
	'URLS' => array(
		1 => '',
		3 => 'http://eventscripts.com/pages/{FNAME}',
		4 => 'http://eventscripts.com/pages/{FNAME}',
		5 => 'http://eventscripts.com/pages/{FNAME}',
		6 => 'http://eventscripts.com/pages/{FNAME}',
		7 => '',
		8 => '',
	),
	'OOLANG' => false,
	'OBJECT_SPLITTERS' => array(
	),
	'STRICT_MODE_APPLIES' => GESHI_NEVER,
	'SCRIPT_DELIMITERS' => array(
	),
	'HIGHLIGHT_STRICT_BLOCK' => array(
	)
);
?>