<?php
/*************************************************************************************
 * litescript.php
 * ---------------------------------
 * Author: Joonas Lehtolahti (godjonez@xfireplus.com)
 * Copyright: (c) 2004 Joonas Lehtolahti (http://xfireplus.com/)
 * Release Version: 1.0.0
 * CVS Revision Version: $Revision: 958 $
 * Date Started: 2007-05-28
 * Last Modified: $Date: 2007-04-01 23:51:03 +1200 (Sun, 01 Apr 2007) $
 *
 * LiteScript language file for GeSHi.
 *
 * Will be evolved as the language does
 *
 * CHANGES
 * -------
 * 2007-05-28 (1.0.0)
 *  -  First Release
 * 2007-05-28 (1.0.1)
 *  -  Added _ commands
 *
 * TODO (updated 2007-05-28)
 * -------------------------
 * Add more content
 *
 *************************************************************************************
 *
 *     This file is part of GeSHi.
 *
 *   GeSHi is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   GeSHi is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with GeSHi; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 ************************************************************************************/

$language_data = array (
	'LANG_NAME' => 'LS',
	'COMMENT_SINGLE' => array(1 => "'"),
	'COMMENT_MULTI' => array(),
	'CASE_KEYWORDS' => GESHI_CAPS_NO_CHANGE,
	'QUOTEMARKS' => array('"',"'"),
	'ESCAPE_CHAR' => '\\',
	'KEYWORDS' => array(
	// Keywords 1: Built-in core LS commands
		1 => array(
         'varenv',
         'varcopy',
         'varclear',
         'var',
         'time',
         'string',
         'stopwatch',
         'repeat',
         'prefix',
         'outto',
         'outfrom',
         'out',
         'multicom',
         'message',
         'math',
         'loop',
         'len',
         'ifvv',
         'ifc',
         'if',
         'foreach',
         'for',
         'fileWritef',
         'fileWrite',
         'fileToOutputf',
         'fileToOutput',
         'fileSectionRenamef',
         'fileSectionRename',
         'fileSectionDeletef',
         'fileSectionDelete',
         'fileRenamef',
         'fileRename',
         'fileReadf',
         'fileRead',
         'fileOpenf',
         'fileOpen',
         'fileDeletef',
         'fileDelete',
         'fbvar',
         'execf',
         'exec',
         'eval',
         'else',
         'cvar',
         'crop',
         'break',
         '_varenv',
         '_varcopy',
         '_varclear',
         '_var',
         '_time',
         '_string',
         '_stopwatch',
         '_repeat',
         '_prefix',
         '_outto',
         '_outfrom',
         '_out',
         '_multicom',
         '_message',
         '_math',
         '_loop',
         '_len',
         '_ifvv',
         '_ifc',
         '_if',
         '_foreach',
         '_for',
         '_fileWritef',
         '_fileWrite',
         '_fileToOutputf',
         '_fileToOutput',
         '_fileSectionRenamef',
         '_fileSectionRename',
         '_fileSectionDeletef',
         '_fileSectionDelete',
         '_fileRenamef',
         '_fileRename',
         '_fileReadf',
         '_fileRead',
         '_fileOpenf',
         '_fileOpen',
         '_fileDeletef',
         '_fileDelete',
         '_fbvar',
         '_execf',
         '_exec',
         '_eval',
         '_else',
         '_cvar',
         '_crop',
         '_break',
         ),
    // Keywords 2: Debugging core LS commands
      2 => array(
         '_trace',
         '_debugVar',
         '_debugState',
         '_debug',
         ),
    // Keywords 3: Operators
      3 => array(
         'utf8',
         'ucase',
         'trim',
         'tanh',
         'tan',
         'tail',
         'sqrt',
         'sqr',
         'sinh',
         'sin',
         'rtrim',
         'round',
         'root',
         'rnd',
         'rightyx',
         'right',
         'replacew',
         'replace',
         'repeat',
         'regex',
         'random',
         'pos',
         'parsetolast',
         'parselast',
         'parsefilepath',
         'parsefilename',
         'parsefileext',
         'parsefilebase',
         'min',
         'mid',
         'mcase',
         'max',
         'ltrim',
         'log',
         'ln',
         'literal',
         'likeword',
         'lg',
         'leftyx',
         'left',
         'lcase',
         'items',
         'item',
         'ISO',
         'ireplacew',
         'ireplace',
         'ipos',
         'int',
         'insert',
         'Friendly',
         'fill',
         'escape',
         'Current',
         'cosh',
         'cos',
         'char',
         'avg',
         'atanh',
         'atan',
         'asinh',
         'asin',
         'ascii',
         'acosh',
         'acos',
         'abs',
         ),
    // Keywords 11: Xfire Plus Base specific keywords
      11 => array(
         'xpsend',
         'userlookup',
         'timer',
         'sendmsg',
         'runex',
         'reload',
         'notifyhandle',
         'notify',
         'key',
         'hTextGet',
         'focus',
         'event_unregister',
         'event_register',
         'event',
         'encodeip',
         'decodeip',
         '_xpsend',
         '_userlookup',
         '_timer',
         '_sendmsg',
         '_runex',
         '_reload',
         '_notifyhandle',
         '_notify',
         '_key',
         '_hTextGet',
         '_focus',
         '_event_unregister',
         '_event_register',
         '_event',
         '_encodeip',
         '_decodeip',
         ),
		),
	'SYMBOLS' => array(
		'(', ')', 'i', '!', '+', '-', '*', '~', '/', '<', '>', '=',
		'^', '%'),
	'CASE_SENSITIVE' => array(
		GESHI_COMMENTS => false,
		1 => true,
		2 => true,
		3 => true,
		11 => true,
		),
	'STYLES' => array(
		'KEYWORDS' => array(
			1 => 'color: #00b;',
			2 => 'color: #008;',
			3 => 'color: #0b0;',
			11 => 'color: #80b;',
			),
		'COMMENTS' => array(
			1 => 'color: #080;',
			),
		'ESCAPE_CHAR' => array(
			0 => 'color: #ccc;'
			),
		'BRACKETS' => array(
			0 => 'color: #000;'
			),
		'STRINGS' => array(
			0 => 'color: #f00;'
			),
		'NUMBERS' => array(
			0 => 'color: #c6c;'
			),
		'METHODS' => array(
			),
		'SYMBOLS' => array(
			0 => 'color: #808;'
			),
		'SCRIPT' => array(
			)
		),
	'URLS' => array(
		1 => 'http://godjonez.dyndns.org/random/ls.html#{FNAME}',
		2 => 'http://godjonez.dyndns.org/random/ls.html#{FNAME}',
		3 => '',
		11 => '',
		),
	'OOLANG' => false,
	'OBJECT_SPLITTERS' => array(
		),
	'STRICT_MODE_APPLIES' => GESHI_NEVER,
	'SCRIPT_DELIMITERS' => array(
		),
	'HIGHLIGHT_STRICT_BLOCK' => array(
		)
);

?>
